> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rankyak.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Article



## OpenAPI

````yaml https://rankyak.com/api/v1/openapi.json get /articles/{article}
openapi: 3.0.0
info:
  title: RankYak API V1
  description: API specification for RankYak
  version: 1.0.0
servers:
  - url: https://rankyak.com/api/v1
    description: RankYak API V1
security:
  - X-Api-Key: []
tags:
  - name: Articles
    description: Articles
paths:
  /articles/{article}:
    get:
      tags:
        - Articles
      summary: Article
      operationId: 75539105dbc7eabea026be5a8afd6a7d
      parameters:
        - name: article
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArticleResource'
        '404':
          description: Not Found
components:
  schemas:
    ArticleResource:
      properties:
        id:
          type: integer
        slug:
          type: string
        excerpt:
          type: string
        title:
          type: string
        meta_title:
          type: string
        meta_description:
          type: string
        html:
          type: string
        markdown:
          type: string
        header_image_url:
          type: string
          format: uri
          nullable: true
        publish_at:
          type: string
          format: date-time
        published_at:
          type: string
          format: date-time
          nullable: true
        updated_at:
          description: Most recent content change (refresh or rewrite)
          type: string
          format: date-time
          nullable: true
      type: object
  securitySchemes:
    X-Api-Key:
      type: apiKey
      name: X-Api-Key
      in: header

````